Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number (default: 1).

Required range: x >= 1
pageSize
number

Number of results per page (default: 50, max: 100).

Required range: 1 <= x <= 100

Response

Segments retrieved successfully

id
string<uuid>
required

The segment ID.

name
string
required

The segment name.

type
enum<string>
required

Whether the segment is system-defined or custom.

Available options:
system,
custom
presetId
string | null
required

Preset identifier for system segments.

memberCount
number
required

Number of participants in this segment.

isFavorited
boolean
required

Whether the segment is favorited.